VIDCAUDIO(4)

NAME
vidcaudio - VIDC audio device driver

SYNOPSIS
vidcaudio0 at vidc0
audio* at vidcaudio0

DESCRIPTION
The vidcaudio driver provides support for the audio system of the ARM VIDC20 and of the video and sound macrocell of the ARM7500 and ARM7500FE.

The driver can work in two modes, either using the internal 8-bit DACs of the VIDC20 and its internal reference clock, or using the serial sound output of any supported chip feeding external 16-bit DACs and an external sound clock. On systems with a VIDC20, the choice of mode is based on the ‘*Configure SoundSystem’ setting under RISC OS.

SEE ALSO
audio(4)

HISTORY
The vidcaudio driver was introduced in NetBSD 1.2. The driver was largely rewritten for NetBSD 2.0 because it had bit-rotted so far as to be useless.

AUTHORS
The first version was written by Melvin Tang-Richardson. The rewrite was by Ben Harris.